<?php
global $biography_panels;
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/
$biography_customizer_defaults['biography-home-history-enable'] = 1;
$biography_customizer_defaults['biography-home-history-title'] = esc_html__( 'Our History','biography' );
$biography_customizer_defaults['biography-home-history-number'] = 3;
$biography_customizer_defaults['biography-home-history-cat-all'] = 1;
$biography_customizer_defaults['biography-home-history-single-words'] = 30;
$biography_customizer_defaults['biography-home-history-button-text'] = esc_html__( 'Browse more historys','biography' );
$biography_customizer_defaults['biography-home-history-button-link'] = esc_url( home_url( '/historys' ) );
$biography_customizer_defaults['biography-home-history-enable-single-link'] = 1;

/*historyoptions*/
$biography_sections['biography-home-history-options'] =
    array(
        'priority'       => 80,
        'title'          => esc_html__( 'History Options', 'biography' ),
        'panel'          => 'biography-home-history',
    );

/*historysetting*/
$biography_settings_controls['biography-home-history-enable'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-history-enable']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Enable History', 'biography' ),
            'section'               => 'biography-home-history-options',
            'type'                  => 'checkbox',
            'priority'              => 10,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-history-enable-after-content-dot'] =
    array(
        'setting' =>     array(
            'default'              => true,
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Enable After Content Dots', 'biography' ),
            'section'               => 'biography-home-history-options',
            'type'                  => 'checkbox',
            'priority'              => 15,
            'active_callback'       => ''
        )
    );

/*defaults values*/
$biography_settings_controls['biography-home-history-title'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-history-title']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Main Title', 'biography' ),
            'section'               => 'biography-home-history-options',
            'type'                  => 'text',
            'priority'              => 20,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-history-number'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-history-number']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Number of History/s', 'biography' ),
            'section'               => 'biography-home-history-options',
            'type'                  => 'select',
            'choices'               => array(
              1 => esc_html__( '1', 'biography' ),
                2 => esc_html__( '2', 'biography' ),
                3 => esc_html__( '3', 'biography' ),
                4 => esc_html__( '4', 'biography' ),
                5 => esc_html__( '5', 'biography' ),
                6 => esc_html__( '6', 'biography' ),
                7 => esc_html__( '7', 'biography' ),
                8 => esc_html__( '8', 'biography' )
            ),
            'priority'              => 22,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-history-single-words'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-history-single-words']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Number Of Words in Single Column Content', 'biography' ),
            'description'           =>  esc_html__( 'If you do not have selected from - Custom', 'biography' ),
            'section'               => 'biography-home-history-options',
            'type'                  => 'number',
            'priority'              => 28,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-history-enable-single-link'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-history-enable-single-link']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Enable Link In Single Column', 'biography' ),
            'section'               => 'biography-home-history-options',
            'type'                  => 'checkbox',
            'priority'              => 35,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-home-history-button-text'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-history-button-text']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Browse All Button Text', 'biography' ),
            'section'               => 'biography-home-history-options',
            'type'                  => 'text',
            'priority'              => 40,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-history-button-link'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-history-button-link']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Browse All Button Link', 'biography' ),
            'section'               => 'biography-home-history-options',
            'type'                  => 'url',
            'priority'              => 50
        )
    );
