<?php
if ( ! function_exists( 'biography_home_count_array' ) ) :
    /**
     * Count array creation
     *
     * @since Biography 1.0.0
     *
     * @param null
     * @return array
     */
    function biography_home_count_array( $from_count ){
        global $biography_customizer_all_values;
        $biography_home_count_number = absint($biography_customizer_all_values['biography-home-count-number']);

        $biography_home_count_contents_array = array();

        $biography_home_count_contents_array[0]['biography-home-count-number'] = esc_html__('1,170', 'biography');
        $biography_home_count_contents_array[0]['biography-home-count-title'] = esc_html__('Happy Clients', 'biography');
        $biography_home_count_contents_array[0]['biography-home-count-link'] = '#';
        $biography_home_count_contents_array[0]['biography-home-count-icon'] = 'fa-smile-o';

        $biography_home_count_contents_array[1]['biography-home-count-number'] = esc_html__('7,390', 'biography');
        $biography_home_count_contents_array[1]['biography-home-count-title'] = esc_html__('Working Hours', 'biography');
        $biography_home_count_contents_array[1]['biography-home-count-link'] = '#';
        $biography_home_count_contents_array[1]['biography-home-count-icon'] = 'fa-clock-o';

        $biography_home_count_contents_array[2]['biography-home-count-number'] = esc_html__('4,005', 'biography');
        $biography_home_count_contents_array[2]['biography-home-count-title'] = esc_html__('Coffee Consumed', 'biography');
        $biography_home_count_contents_array[2]['biography-home-count-link'] = '#';
        $biography_home_count_contents_array[2]['biography-home-count-icon'] = 'fa-coffee';

        $biography_home_count_contents_array[3]['biography-home-count-number'] = esc_html__('799', 'biography');
        $biography_home_count_contents_array[3]['biography-home-count-title'] = esc_html__('Award Winning', 'biography');
        $biography_home_count_contents_array[3]['biography-home-count-link'] = '#';
        $biography_home_count_contents_array[3]['biography-home-count-icon'] = 'fa-star-o';

        $biography_duration_arrays = array();
        $biography_icons_arrays = array();
        $biography_home_count_args = array();
        if ( 'from-category' ==  $from_count ){
            $biography_home_count_category = $biography_customizer_all_values['biography-home-count-category'];
            if( 0 != $biography_home_count_category ){
                $biography_home_count_cat_all = $biography_customizer_all_values['biography-home-count-cat-all'];
                if( 1 == $biography_home_count_cat_all ){
                    $biography_home_count_number = -1;
                }
                $biography_home_count_args =    array(
                    'post_type' => 'post',
                    'cat' => $biography_home_count_category,
                    'posts_per_page' => $biography_home_count_number
                );
            }
        }
        else{
            $biography_repeated_array = array('biography-home-count-page-icon','biography-home-count-pages-ids','biography-home-count-number');
            $biography_home_count_posts = biography_get_repeated_all_value( 4, $biography_repeated_array );

            $biography_home_count_posts_ids = array();
            if( null != $biography_home_count_posts ) {
                foreach( $biography_home_count_posts as $biography_home_count_post ) {
                    if( 0 != $biography_home_count_post['biography-home-count-pages-ids'] ){
                        $biography_home_count_posts_ids[] = $biography_home_count_post['biography-home-count-pages-ids'];

                        if( isset( $biography_home_count_post['biography-home-count-page-icon'] )){
                            $biography_home_count_page_icon = $biography_home_count_post['biography-home-count-page-icon'];
                        }
                        else{
                            $biography_home_count_page_icon ='fa-laptop';
                        }
                        if( isset( $biography_home_count_post['biography-home-count-number'] )){
                            $biography_home_count_duration = $biography_home_count_post['biography-home-count-number'];
                        }
                        else{
                            $biography_home_count_duration = '';
                        }

                        $biography_icons_arrays[] = $biography_home_count_page_icon;
                        $biography_duration_arrays[] = $biography_home_count_duration;

                    }
                }
                if( !empty( $biography_home_count_posts_ids )){
                    $biography_home_count_args =    array(
                        'post_type' => 'page',
                        'post__in' => $biography_home_count_posts_ids,
                        'posts_per_page' => $biography_home_count_number,
                        'orderby' => 'post__in'
                    );
                }
            }
        }
        // the query
        if( !empty( $biography_home_count_args ) ){
            $biography_home_count_contents_array = array(); /*again empty array*/
            $biography_home_count_post_query = new WP_Query( $biography_home_count_args );
            if ( $biography_home_count_post_query->have_posts() ) :
                $i = 0;
                while ( $biography_home_count_post_query->have_posts() ) : $biography_home_count_post_query->the_post();
                    $biography_home_count_contents_array[$i]['biography-home-count-title'] = get_the_title();
                    $biography_home_count_contents_array[$i]['biography-home-count-link'] = get_permalink();

                    if ( 'from-category' ==  $from_count ){
                        $biography_home_icon_meta = get_post_meta( get_the_ID(), 'biography-home-count-icon', true );
                        $biography_home_count_number = get_post_meta( get_the_ID(), 'biography-home-count-number', true );

                        if( !empty( $biography_home_icon_meta ) ){
                            $biography_home_count_contents_array[$i]['biography-home-count-icon'] = $biography_home_icon_meta;
                        }
                        else{
                            $biography_home_count_contents_array[$i]['biography-home-count-icon'] = 'fa-laptop';
                        }
                        if( !empty( $biography_home_count_number ) ){
                            $biography_home_count_contents_array[$i]['biography-home-count-number'] = $biography_home_count_number;
                        }
                        else{
                            $biography_home_count_contents_array[$i]['biography-home-count-number'] = '';
                        }
                    }
                    else{
                        if(isset( $biography_icons_arrays[$i] )){
                            $biography_home_count_contents_array[$i]['biography-home-count-icon'] = $biography_icons_arrays[$i];
                        }
                        else{
                            $biography_home_count_contents_array[$i]['biography-home-count-icon'] = 'fa-laptop';
                        }
                        if(isset( $biography_duration_arrays[$i] )){
                            $biography_home_count_contents_array[$i]['biography-home-count-number'] = $biography_duration_arrays[$i];
                        }
                        else{
                            $biography_home_count_contents_array[$i]['biography-home-count-number'] = '';
                        }
                    }

                    $i++;
                endwhile;
                wp_reset_postdata();
            endif;
        }
        return $biography_home_count_contents_array;
    }
endif;

if ( ! function_exists( 'biography_home_count' ) ) :
    /**
     * Count Section
     *
     * @since Bizlight 1.0.0
     *
     * @param null
     * @return null
     *
     */
    function biography_home_count() {
        global $biography_customizer_all_values;
        if( 1 != $biography_customizer_all_values['biography-home-count-enable'] ){
            return null;
        }
        $biography_home_count_selection_options = $biography_customizer_all_values['biography-home-count-selection'];
        $biography_count_arrays = biography_home_count_array( $biography_home_count_selection_options );
        if( is_array( $biography_count_arrays ) ){
            $biography_home_count_title = $biography_customizer_all_values['biography-home-count-title'];
            $biography_home_count_button_text = $biography_customizer_all_values['biography-home-count-button-text'];
            $biography_home_count_button_link = $biography_customizer_all_values['biography-home-count-button-link'];
            $biography_home_count_enable_single_link = $biography_customizer_all_values['biography-home-count-enable-single-link'];

            $biography_home_count_column = $biography_customizer_all_values['biography-home-count-column'];
            if( 1 == $biography_home_count_column ){
                $col = 'col-md-12';
            }
            elseif( 2 == $biography_home_count_column ){
                $col = 'col-md-6';
            }
            elseif( 3 == $biography_home_count_column ){
                $col = 'col-md-4';
            }
            elseif( 4 == $biography_home_count_column ){
                $col = 'col-md-3';
            }
            else{
                $col = 'col-md-3';
            }
            
            ?>
            <section class="wrapper wrap-counter wrap-highlight">
                <div class="container">
                    <?php
                    if( !empty( $biography_home_count_title ) ){
                        ?>
                        <div class="block-title">
                            <h2><?php echo esc_html( $biography_home_count_title ); ?></h2>
                            <div class="title-divider"><span></span></div>
                        </div>
                        <?php
                    }
                    ?>
                    <div class="row overhidden">
                        <?php
                        $i = 1;
                        foreach( $biography_count_arrays as $biography_count_array ){
                            ?>
                            <div class="<?php echo esc_attr( $col ); ?> biography-animate slideInUp" data-wow-delay="0s">
                                <div class="counter-box">
                                    <div class="icon">
                                        <i class="fa <?php echo esc_attr( $biography_count_array['biography-home-count-icon'] ); ?>"></i>
                                    </div>
                                    <?php
                                    if( 1 == $biography_home_count_enable_single_link ){
                                    ?>
                                    <h3>
                                        <a href="<?php echo esc_url( $biography_count_array['biography-home-count-link'] );?>" title="<?php echo esc_attr( $biography_count_array['biography-home-count-title'] );?>">
                                            <?php
                                            }
                                            ?>
                                            <?php echo esc_html( $biography_count_array['biography-home-count-title'] );?>
                                            <?php
                                            if( 1 == $biography_home_count_enable_single_link ){
                                            ?>
                                        </a>
                                    </h3>
                                    <div class="number">
                                        <?php echo esc_html( $biography_count_array['biography-home-count-number'] );?>
                                    </div>
                                <?php
                                }
                                ?>
                                </div>
                            </div>
                            <?php
                            $i++;
                        }
                        ?>

                    </div>
                    <?php
                    if( !empty( $biography_home_count_button_link ) && !empty( $biography_home_count_button_text ) ){
                        ?>
                        <div class="btn-container">
                            <a class="button button-link" href="<?php echo esc_url( $biography_home_count_button_link );?>">
                                <?php echo esc_html( $biography_home_count_button_text );?>
                            </a>
                        </div>
                        <?php
                    }
                    ?>
                    </div>
            </section><!-- count section -->
            <?php
        }
        ?>
        <?php
    }
endif;
add_action( 'count', 'biography_home_count', 10 );
