<?php
if ( ! function_exists( 'biography_home_history_array' ) ) :
    /**
     * History array creation
     *
     * @since Biography 1.0.0
     *
     * @param null
     * @return array
     */
    function biography_home_history_array( $from_history ){
        global $biography_customizer_all_values;
        $biography_home_history_number = absint($biography_customizer_all_values['biography-home-history-number']);
        $biography_home_history_single_words = absint($biography_customizer_all_values['biography-home-history-single-words']);

        $biography_home_history_contents_array = array();

        $biography_home_history_contents_array[0]['biography-home-history-duration'] = esc_html__('2006-2009', 'biography');
        $biography_home_history_contents_array[0]['biography-home-history-title'] = esc_html__('Web Developing', 'biography');
        $biography_home_history_contents_array[0]['biography-home-history-content'] = esc_html__("Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.", 'biography');
        $biography_home_history_contents_array[0]['biography-home-history-link'] = '#';
        $biography_home_history_contents_array[0]['biography-home-history-icon'] = 'fa-laptop';

        $biography_home_history_contents_array[1]['biography-home-history-duration'] = esc_html__('2010-2013', 'biography');
        $biography_home_history_contents_array[1]['biography-home-history-title'] = esc_html__('Photography', 'biography');
        $biography_home_history_contents_array[1]['biography-home-history-content'] = esc_html__("Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.", 'biography');
        $biography_home_history_contents_array[1]['biography-home-history-link'] = '#';
        $biography_home_history_contents_array[1]['biography-home-history-icon'] = 'fa-camera-retro';

        $biography_home_history_contents_array[2]['biography-home-history-duration'] = esc_html__('2014-current', 'biography');
        $biography_home_history_contents_array[2]['biography-home-history-title'] = esc_html__('Customer Support', 'biography');
        $biography_home_history_contents_array[2]['biography-home-history-content'] = esc_html__("Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.", 'biography');
        $biography_home_history_contents_array[2]['biography-home-history-link'] = '#';
        $biography_home_history_contents_array[2]['biography-home-history-icon'] = 'fa-rocket';

        $biography_duration_arrays = array();
        $biography_icons_arrays = array();
        $biography_home_history_args = array();

        if ( 'from-category' ==  $from_history ){
            $biography_home_history_category = $biography_customizer_all_values['biography-home-history-category'];
             $biography_repeated_array = array('biography-home-history-icon', 'biography-home-history-duration');
             $biography_home_history_posts = biography_get_repeated_all_value( 8, $biography_repeated_array ); 
               if( null != $biography_home_history_category) {

                   foreach( $biography_home_history_posts as $biography_home_history_post ) {
                    
                        if( isset( $biography_home_history_post['biography-home-history-icon'] )){
                            $biography_home_history_page_icon = $biography_home_history_post['biography-home-history-icon'];
                        }
                        else{
                            $biography_home_history_page_icon ='fa-laptop';
                        }
                        if( isset( $biography_home_history_post['biography-home-history-duration'] )){
                            $biography_home_history_page_duration = $biography_home_history_post['biography-home-history-duration'];
                        }
                        else{
                            $biography_home_history_page_duration ='2015';
                        }
                        $biography_icons_arrays[] = $biography_home_history_page_icon;
                        $biography_duration_arrays[] = $biography_home_history_page_duration;
                    }
                $biography_home_history_args =    array(
                    'post_type' => 'post',
                    'cat' => $biography_home_history_category,
                    'posts_per_page' => $biography_home_history_number
                );
            }
        }
        else{
            $biography_repeated_array = array('biography-home-history-icon','biography-home-history-pages-ids', 'biography-home-history-duration' );
            $biography_home_history_posts = biography_get_repeated_all_value( 8, $biography_repeated_array );
            $biography_home_history_posts_ids = array();
            $biography_home_history_page_icon = array();
            if( null != $biography_home_history_posts ) {
                foreach( $biography_home_history_posts as $biography_home_history_post ) {
                    if( 0 != $biography_home_history_post['biography-home-history-pages-ids'] ){
                        $biography_home_history_posts_ids[] = $biography_home_history_post['biography-home-history-pages-ids'];

                        if( isset( $biography_home_history_post['biography-home-history-icon'] )){
                            $biography_home_history_page_icon = $biography_home_history_post['biography-home-history-icon'];
                        }
                        else{
                            $biography_home_history_page_icon ='fa-laptop';
                        }
                        if( isset( $biography_home_history_post['biography-home-history-duration'] )){
                            $biography_home_history_page_duration = $biography_home_history_post['biography-home-history-duration'];
                        }
                        else{
                            $biography_home_history_page_duration ='2015';
                        }

                        $biography_icons_arrays[] = $biography_home_history_page_icon;
                        

                        $biography_duration_arrays[] = $biography_home_history_page_duration;

                    }
                }
                if( !empty( $biography_home_history_posts_ids )){
                    $biography_home_history_args =    array(
                        'post_type' => 'page',
                        'post__in' => $biography_home_history_posts_ids,
                        'posts_per_page' => $biography_home_history_number,
                        'orderby' => 'post__in'
                    );
                }
            }
        }
        // the query
        if( !empty( $biography_home_history_args )){
            $biography_home_history_contents_array = array(); /*again empty array*/
            $biography_home_history_post_query = new WP_Query( $biography_home_history_args );
            if ( $biography_home_history_post_query->have_posts() ) :
                $i = 0;
                while ( $biography_home_history_post_query->have_posts() ) : $biography_home_history_post_query->the_post();
                    $biography_home_history_contents_array[$i]['biography-home-history-title'] = get_the_title();
                    $biography_home_history_contents_array[$i]['biography-home-history-content'] = biography_words_count( $biography_home_history_single_words ,get_the_content(), $biography_customizer_all_values['biography-home-history-enable-after-content-dot']);
                    $biography_home_history_contents_array[$i]['biography-home-history-link'] = get_permalink();

                    if ( 'from-category' ==  $from_history ){
                       
                        $biography_home_duration_meta = get_post_meta( get_the_ID(), 'biography-home-history-duration', true );
                        
                         if(isset( $biography_icons_arrays[$i] )){
                            $biography_home_history_contents_array[$i]['biography-home-history-icon'] = $biography_icons_arrays[$i];
                        }
                        else{
                            $biography_home_history_contents_array[$i]['biography-home-history-icon'] = 'fa-laptop';
                        }
                        if(isset( $biography_duration_arrays[$i] )){
                            $biography_home_history_contents_array[$i]['biography-home-history-duration'] = $biography_duration_arrays[$i];
                        }
                        else{
                            $biography_home_history_contents_array[$i]['biography-home-history-duration'] = '2015';
                        }
                        
                    }
                    else{
                        
                        
                        if(isset( $biography_icons_arrays[$i] )){
                            $biography_home_history_contents_array[$i]['biography-home-history-icon'] = $biography_icons_arrays[$i];
                        }
                        else{
                            $biography_home_history_contents_array[$i]['biography-home-history-icon'] = 'fa-laptop';
                        }
                        if(isset( $biography_duration_arrays[$i] )){
                        $biography_home_history_contents_array[$i]['biography-home-history-duration'] = $biography_duration_arrays[$i];
                    }
                    else{
                        $biography_home_history_contents_array[$i]['biography-home-history-duration'] = '';
                    }
                    }

                    $i++;
                endwhile;
                wp_reset_postdata();
            endif;
        }
        return $biography_home_history_contents_array;
    }
endif;

if ( ! function_exists( 'biography_home_history' ) ) :
    /**
     * History
     *
     * @since Bizlight 1.0.0
     *
     * @param null
     * @return null
     *
     */
    function biography_home_history() {
        global $biography_customizer_all_values;
        if( 1 != $biography_customizer_all_values['biography-home-history-enable'] ){
            return null;
        }
        $biography_home_history_selection_options = $biography_customizer_all_values['biography-home-history-selection'];
        $biography_history_arrays = biography_home_history_array( $biography_home_history_selection_options );
        if( is_array( $biography_history_arrays )){
            $biography_home_history_title = $biography_customizer_all_values['biography-home-history-title'];
            $biography_home_history_button_text = $biography_customizer_all_values['biography-home-history-button-text'];
            $biography_home_history_button_link = $biography_customizer_all_values['biography-home-history-button-link'];
            $biography_home_history_enable_single_link = $biography_customizer_all_values['biography-home-history-enable-single-link'];
            ?>
            <section class="wrapper wrap-resume">
                <div class="container overhidden">
                    <div class="row">
                        <div class="col-md-12 biography-animate bounceInUp">
                            <?php
                            if( !empty( $biography_home_history_title ) ){
                                ?>
                                <div class="block-title">
                                    <h2><?php echo esc_html( $biography_home_history_title ); ?></h2>
                                    <div class="title-divider"><span></span></div>
                                </div>
                                <?php
                            }
                            ?>
                            <div class="resume-list-outer">
                                <?php
                                $i = 1;
                                foreach( $biography_history_arrays as $biography_history_array ){
                                    ?>
                                    <div class="resume-list">
                                        <div class="date">
                                            <?php echo esc_html( $biography_history_array['biography-home-history-duration'] );?>
                                        </div>
                                       
                                        <div class="icon">
                                            <i class="fa <?php echo esc_attr($biography_history_array['biography-home-history-icon']);?>"></i>
                                        </div>
                                    
                                        <div class="textbox">
                                            <?php
                                            if( 1 == $biography_home_history_enable_single_link ){
                                            ?>
                                            <h3>
                                                <a href="<?php echo esc_url( $biography_history_array['biography-home-history-link'] );?>" title="<?php echo esc_attr( $biography_history_array['biography-home-history-title'] );?>">
                                                    <?php
                                                    }
                                                    ?>
                                                    <?php echo esc_html( $biography_history_array['biography-home-history-title'] );?>
                                                    <?php
                                                    if( 1 == $biography_home_history_enable_single_link ){
                                                    ?>
                                                </a>
                                            </h3>
                                        <?php
                                        }
                                        ?>
                                            <?php echo wp_kses_post( $biography_history_array['biography-home-history-content'] );?>
                                        </div>
                                    </div>
                                    <?php
                                    $i++;
                                }
                                ?>
                            </div>
                        </div>
                    </div>
                    <?php
                    if( !empty( $biography_home_history_button_link ) && !empty( $biography_home_history_button_text ) ){
                        ?>
                        <div class="btn-container">
                            <a class="button button-link" href="<?php echo esc_url( $biography_home_history_button_link );?>">
                                <?php echo esc_html( $biography_home_history_button_text );?>
                            </a>
                        </div>
                        <?php
                    }
                    ?>
                    </div>
            </section><!-- history section -->
            <?php
        }
        ?>
        <?php
    }
endif;
add_action( 'history', 'biography_home_history', 10 );
